---
title: "Update an agent finding"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/update-finding/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Update an agent finding

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

PUT

/admin/findings/{id}

FetchcURL

```
const url = 'https://example.com/admin/findings/example';const options = {  method: 'PUT',  headers: {'Content-Type': 'application/json'},  body: '{"linear_issue_id":"example","status":"example"}'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request PUT \  --url https://example.com/admin/findings/example \  --header 'Content-Type: application/json' \  --data '{ "linear_issue_id": "example", "status": "example" }'
```

## Parameters

### Path Parameters

**id**

required

string

## Request Bodyrequired

application/json

object

**linear\_issue\_id**

string

**status**

string

### Example generated

```
{  "linear_issue_id": "example",  "status": "example"}
```

## Responses

### 200

OK

application/json

object

**created\_at**

required

string format: date-time

**description**

required

string

**file**

required

string

**id**

required

integer format: int64

**line**

required

integer format: int64

**linear\_issue\_id**

string

**severity**

required

string

**source**

required

string

**status**

required

string

**title**

required

string

**updated\_at**

required

string format: date-time

#### Example generated

```
{  "created_at": "2026-04-15T12:00:00Z",  "description": "example",  "file": "example",  "id": 1,  "line": 1,  "linear_issue_id": "example",  "severity": "example",  "source": "example",  "status": "example",  "title": "example",  "updated_at": "2026-04-15T12:00:00Z"}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
